//
//  SLIBDebugWinow.m
//  PeekIt II
//
//  Created by C.K. Haun on 1/2/13.
//  Copyright (c) 2013 Ravenware Industries LLC. All rights reserved.
//

#import "SLIBDebugWinow.h"

@implementation SLIBDebugWinow


-(IBAction)doButtonClearList:(id)sender{
    [dTable clear];
}
-(IBAction)doDebugTextClear:(id)sender{
    [dText clear];
}
-(IBAction)doDebugViewClear:(id)sender{
    [dView clear];
}

-(void)addDebugItemToList:(SLIBDebugItem *)theItem{
    [dTable addItem:theItem];

}
-(void)addToDebugText:(SLIBDebugItem *)theItem{
[self performSelectorOnMainThread:@selector(mtaddToDebugText:) withObject:theItem waitUntilDone:NO];
}
-(void)mtaddToDebugText:(SLIBDebugItem *)theItem{
    [dText addText:theItem];
}

- (BOOL)validateMenuItem:(NSMenuItem *)item {
    BOOL retVak=YES;
      if ([item action] ==@selector(saveDocument:)   )
      {
          BOOL yyy = [dTable anyItems];
          yyy = yyy | [dText anyText];
          if(yyy == NO)retVak=NO;
      }

    return retVak;
}

@end
